Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### match()
Examples |
    String s = "Inside a tag, you will find content.";
    String[] m = match(s, "(\S+)");
    println("Found " + m[0] + " inside the tag.");
    // Prints "Found content inside the tag." to the console
Description | The match() function is used to apply a regular expression to a piece of text, and return matching groups (elements found inside parentheses) as a String array. No match will null. If no groups are specified in the regexp, but the sequence matches, a zero length (non-null) array will be returned. The syntax can be found in the reference for Java's Pattern class. For regular expression syntax, read the Java Tutorial on the topic.
Syntax |
    match(str, regexp)
Parameters |
str | the String to be split
regexp | the regexp to be used for matching
Usage | Web & Application
Related | split() splitTokens() join() trim()

Updated on October 14, 2007 02:21:04pm PDT